Bug 1185600 - PyPE fails to run with wxPython 3.0 in Rawhide
Summary: PyPE fails to run with wxPython 3.0 in Rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: PyPE
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mosaab Alzoubi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-25 04:25 UTC by Scott Talbert
Modified: 2017-06-09 19:13 UTC (History)
0 users

Fixed In Version: PyPE-2.9.4-8.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-09 19:13:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Scott Talbert 2015-01-25 04:25:26 UTC
wxPython has been updated to 3.0 in Rawhide.  Unfortunately, PyPE fails to launch with wxPython 3.0:

[ Sat Jan 24 23:18:59 2015 ] Traceback (most recent call last):
  File "/usr/bin/pype", line 6258, in <module>
    main()
  File "/usr/bin/pype", line 6246, in main
    filehistory.root = root = app.frame = MainWindow(None, -1, "PyPE", docs)
  File "/usr/bin/pype", line 1423, in __init__
    self.menubar.Check(MIDDLE_CL, MIDDLE_PASTE)
  File "/usr/lib64/python2.7/site-packages/wx-3.0-gtk3/wx/_core.py", line 12329, in Check
    return _core_.MenuBar_Check(*args, **kwargs)
wx._core.PyAssertionError: C++ assertion "item" failed at ./src/common/menucmn.cpp(991) in Check(): attempt to check an item which doesn't exist

Debian has incorporated a patch which would likely resolve the issue:
https://sources.debian.net/data/main/p/pype/2.9.4-2/debian/patches/wxpython3.0.patch

Comment 1 Jaroslav Reznik 2015-03-03 16:45:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora Admin XMLRPC Client 2015-05-30 15:59:17 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Admin XMLRPC Client 2015-05-31 07:53:35 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Sergio Basto 2015-05-31 23:13:40 UTC
Hi, 
I decided report last things that I check in PyPE , might help you :).

In git://git.code.sf.net/p/pype/code , seems last 2 commits [1]
aren't in PyPE-2.9.4-src.zip, plus this ticket [2]

[1]       
commit b28669c7f5e1a409ea0aee2dbfb11b75ea5411fa
Date:   Fri Oct 24 10:40:06 2014 -0700
    Adds wxPython 3.0 compatability while preserving 2.8

commit 62672aceabeff21fe2613ffd2765fd1d74d21a6b
Date:   Sun Aug 12 23:30:31 2012 -0700
    A few fixes to the setup scripts for Windows thanks to Austin von Nehring.

[2] 
https://sourceforge.net/p/pype/patches/3/

Best regards,

Comment 5 Fedora End Of Life 2016-07-19 12:42:38 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Jan Kurik 2016-07-26 04:47:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 7 Fedora Update System 2017-05-27 13:29:46 UTC
PyPE-2.9.4-8.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a496a489f9

Comment 8 Fedora Update System 2017-05-27 13:29:54 UTC
PyPE-2.9.4-8.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-121e8ce701

Comment 9 Fedora Update System 2017-05-27 13:29:59 UTC
PyPE-2.9.4-8.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ed543d3996

Comment 10 Fedora Update System 2017-05-27 20:36:56 UTC
PyPE-2.9.4-8.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ed543d3996

Comment 11 Fedora Update System 2017-05-28 07:59:59 UTC
PyPE-2.9.4-8.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-121e8ce701

Comment 12 Fedora Update System 2017-05-28 08:01:44 UTC
PyPE-2.9.4-8.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a496a489f9

Comment 13 Fedora Update System 2017-06-09 19:13:24 UTC
PyPE-2.9.4-8.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.